org.apache.cassandra.io.sstable

## Class IndexHelper.IndexInfo

- java.lang.Object
- - org.apache.cassandra.io.sstable.IndexHelper.IndexInfo

Enclosing class:
  IndexHelper

    public static class IndexHelper.IndexInfo
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `IndexHelper.IndexInfo.Serializer`

### Field Summary

Fields
`Composite` `firstName`
`Composite` `lastName`
`long` `offset`
`long` `width`

### Constructor Summary

Constructors
Constructor and Description
`IndexInfo(Composite firstName, Composite lastName, long offset, long width)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `unsharedHeapSize()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### width

    public final long width

#### lastName

    public final Composite lastName

#### firstName

    public final Composite firstName

#### offset

    public final long offset

### Constructor Detail

#### IndexInfo

    public IndexInfo(Composite firstName,
                     Composite lastName,
                     long offset,
                     long width)

### Method Detail

#### unsharedHeapSize

    public long unsharedHeapSize()